Skip to main content
`Ctrl`+`K`

# PCASMSetSubMatType

Set the type of matrix used for `PCASM` subsolves

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCASMSetSubMatType(PC pc, MatType sub_mat_type)

Collective

## Input Parameters

- pc - the `PC` object

- sub_mat_type - the `MatType`

## Options Database Key

- -pc_asm_sub_mat_type sub_mat_type - Sets the matrix type used for subsolves, for example, seqaijviennacl. If you specify a base name like aijviennacl, the corresponding sequential type is assumed.

## Note

See `MatType` for available types

## See Also

KSP: Linear System Solvers, `PCASM`, `PCASMGetSubMatType()`, `PCSetType()`, `VecSetType()`, `MatType`, `Mat`

## Level

advanced

## Location

src/ksp/pc/impls/asm/asm.c

## Implementations

PCASMSetSubMatType_ASM() in src/ksp/pc/impls/asm/asm.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages